//
//  ColorUtility.swift
//  HichefuOfDriverUtility
//
//  Created by 中道 on 2023/2/14.
//

import Foundation

extension UIColor {

    @inlinable static public func black(alpha _alpha:CGFloat) -> UIColor {
        return UIColor(hex: "000000").alpha(_alpha)
    }
    @inlinable static public func white(alpha _alpha:CGFloat) -> UIColor {
        return UIColor(hex: "FFFFFF").alpha(_alpha)
    }
    @inlinable static public func buttonColor() -> UIColor {
        return UIColor(hex: "2C395F").alpha(0xFF)
    }
    @inlinable static public func hex(_ string:String) -> UIColor {
        return UIColor(hex: string)
    }
}
